Register Members List Search Today's Posts Mark Forums Read

Reply
 
Mod Options
Talkerbot V2.2.3 (AI Posting Bot) Details »
Talkerbot V2.2.3 (AI Posting Bot)
Mod Version: 2.5.0, by eXtremeTim (Member) eXtremeTim is offline
Developer Last Online: Feb 2008 I like it Show Printable Version Email this Page

This thread is in the Modification Graveyard.
vB Version: 3.6.5 Rating: (14 votes - 4.21 average) Installs: 230
Released: 12 Sep 2006 Last Update: 16 May 2007 Downloads: 1619
Not Supported DB Changes Uses Plugins Additional Files  

Talker Bot Hack v2.5.0
Hack By: Tim (eXtremeTim) Yarbrough
Website: www.extremechatforums.com

What This Hack Does.

This hack add a userlike bot to your forums. You can set which forum he will post in and how often he will reply to poeples posts. He will try and build his replies off the text that they posted. This bot will learn overtime slowly from your users posts.

Whats new in 2.5.0?
Cleanup of the code to allow better support for php5 users.
Simplified the steps to get the bot working.
Improved the code in various spots.
Fixed sloppy coding issues that remained from the original version of the hack.

Whats new in 2.2.4?

Start of php 5 compatibility fixes
Query errors
ajax cosmetics issue (should be fixed now but if not please let me know)
quite a few minor random things.

Whats new in 2.2.3?

Fixed a few bugs (didnt fix the php 5.1 issues yet till i have time to make sure they dont have an undesired effect)
Added code to make bot show up online.
Made bot show up as last poster correctly.
Fixed table prefix issue

Whats new in 2.2.2?

Cleaned up code a bit.
Fixed <br> problem
Improved bots sanity
Fixed alot of stuff.

To Upgrade from 2.2.4:

Upload all files import the new product.

To upgrade from 2.2.3:

Reupload src folder from the alice dir, install the product file, and upload ewt_talkerbot.php.

To upgrade from 2.2.2:

Reupload the src folder from the alice dir and also re upload the ewt_talkerbot.php file. No changes were made to the product file.

To upgrade from 2.2.1:

Overwrite the current product
Overwrite ewt_talkerbot.php


To Upgrade From 2.2.0:

Overwrite the current product. Upload ewt_talkerbot.php


To Upgrade From A Previous Version:

Just follow the install steps in the files becuase yea there was no prior version for vb3.6 so you should have no file edits to redo.

This version is much cleaner overall then all the previous version. I have removed a good deal of the code in the core alice bot that used to cuase errors. I have moved all the control settings into the admincp. Plus many other things including a much cleaner ewt_talkerbot.php file then the original _talkerbot.php file.


About v3

Yes version 3 is being planned out yet again. I had it finished at one point only to lose it when my computer was stolen a while back. So now im planning even more stuff for version 3. I will post information about v3 later.


AIML File:

I need aiml files. If you know where to get them or have a bunch you can send me please contact me via pm on here so I can get the files. (Needing more for the base package and some to start playing with the aiml sharing features of v3 )


Demo: http://www.extremewebtech.com/forums...esting-grounds
User/Pass: test2323/test2323

Download Now

Only licensed members can download files, Click Here for more information.

Show Your Support

  • If you like this modification support the author by donating.
  • This modification may not be copied, reproduced or published elsewhere without author's permission.
Similar Mod
Mod Developer Type Replies Last Post
Major Additions Talkerbot V2.2.1 (AI Posting Bot) eXtremeTim Modification Graveyard 64 15 Nov 2006 10:34
TalkerBot Hack v1 Rapid Gaming vBulletin 3.0 Beta Releases 128 23 Jan 2004 19:38

  #256  
Old 18 Sep 2006, 12:17
Erwin's Avatar
Erwin Erwin is offline
 
Join Date: Jan 2002
Tim, did you work out the cookie error problem with vB 3.6.1 ?
Reply With Quote
  #257  
Old 18 Sep 2006, 12:21
redgoals22 redgoals22 is offline
 
Join Date: Feb 2005
Originally Posted by Erwin
Whew, it's not just me then.

This is the error:

Unable to add cookies, header already sent.
File:
Line: 0


So this hack is not currently compatible with version 3.6.1.
i have narrowed down the problem to the file /alice/src/respond.php line 108:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

if you remove that line the hack will work almost perfectly, however when replying to a post the bot will double post its reply.

this seems to be a problem in php5 onwards as other users are reporting it works with their 3.6.1. installation.
Reply With Quote
  #258  
Old 18 Sep 2006, 13:27
Erwin's Avatar
Erwin Erwin is offline
 
Join Date: Jan 2002
Good one.

I commented that line out and it works now.
Reply With Quote
  #259  
Old 18 Sep 2006, 13:28
Erwin's Avatar
Erwin Erwin is offline
 
Join Date: Jan 2002
Try using the latest version of this hack which removes the double reply posting bug. The hack works now (well still with the missing bits to replies but that was there before).
Reply With Quote
  #260  
Old 18 Sep 2006, 13:51
redgoals22 redgoals22 is offline
 
Join Date: Feb 2005
Originally Posted by Erwin
Try using the latest version of this hack which removes the double reply posting bug. The hack works now (well still with the missing bits to replies but that was there before).
are you sure there is no side-effect to removing line 108 from your code? i seem to be getting double posting but its only virtual (ie refresh page and it goes).. and im using the latest version from this thread or is there another latest version?
Reply With Quote
  #261  
Old 18 Sep 2006, 14:16
Keyser Söze's Avatar
Keyser Söze Keyser Söze is offline
 
Join Date: Apr 2002
Unhappy

i have the file dbprefs set up correctly with the DB name, login and pass all correct, ive checked many times, and i chmoded all folders and files to 777, but i am still getting this error when i try to run the install

Warning: mysql_connect(): Access denied for user 'nobody'@'localhost' (using password: NO) in /home3/asylum/public_html/forums/alice/src/admin/dbprefs.php on line 57

Warning: mysql_query(): Access denied for user 'nobody'@'localhost' (using password: NO) in /home3/asylum/public_html/forums/alice/src/admin/botloaderfuncs.php on line 27

Warning: mysql_query(): A link to the server could not be established in /home3/asylum/public_html/forums/alice/src/admin/botloaderfuncs.php on line 27

Warning: mysql_query(): Access denied for user 'nobody'@'localhost' (using password: NO) in /home3/asylum/public_html/forums/alice/src/admin/botloaderfuncs.php on line 31

Warning: mysql_query(): A link to the server could not be established in /home3/asylum/public_html/forums/alice/src/admin/botloaderfuncs.php on line 31

Warning: mysql_query(): Access denied for user 'nobody'@'localhost' (using password: NO) in /home3/asylum/public_html/forums/alice/src/admin/botloaderfuncs.php on line 35

goes on for ages
Reply With Quote
  #262  
Old 18 Sep 2006, 15:23
redspider's Avatar
redspider redspider is offline
 
Join Date: Jul 2005
this is so cool I love it thanks .

wish we could make it work as more than one person .
but still is a great hack.
got my vote for hack of the month .
Reply With Quote
  #263  
Old 19 Sep 2006, 00:57
G_Man's Avatar
G_Man G_Man is offline
 
Join Date: Feb 2006
Real name: Wade

Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.


Getting that error a few times since the last update. Not a huge deal. I checked the IP addy and even though they are different, the Bot is using them all....

Sorry to add to the list, Tim.
__________________
www.afterseppuku.com
Feel free to check it out and tell me what I can do better.
Make Money.
Reply With Quote
  #264  
Old 19 Sep 2006, 01:45
Erwin's Avatar
Erwin Erwin is offline
 
Join Date: Jan 2002
Originally Posted by redgoals22
are you sure there is no side-effect to removing line 108 from your code? i seem to be getting double posting but its only virtual (ie refresh page and it goes).. and im using the latest version from this thread or is there another latest version?
It's to flush the HTML through - but removing that line has not done any harm at all, and the bot's posting normally. The double-post issue does not happen to me - it's a separate issue that is solved with the latest version of ewt_talkerbot.php I think.
Reply With Quote
  #265  
Old 19 Sep 2006, 01:45
Erwin's Avatar
Erwin Erwin is offline
 
Join Date: Jan 2002
Double-post.
Reply With Quote
  #266  
Old 19 Sep 2006, 02:32
eXtremeTim eXtremeTim is offline
 
Join Date: Jun 2002
Real name: Tim Yarbrough
Originally Posted by Keyser Söze
i have the file dbprefs set up correctly with the DB name, login and pass all correct, ive checked many times, and i chmoded all folders and files to 777, but i am still getting this error when i try to run the install

Warning: mysql_connect(): Access denied for user 'nobody'@'localhost' (using password: NO) in /home3/asylum/public_html/forums/alice/src/admin/dbprefs.php on line 57

Warning: mysql_query(): Access denied for user 'nobody'@'localhost' (using password: NO) in /home3/asylum/public_html/forums/alice/src/admin/botloaderfuncs.php on line 27

Warning: mysql_query(): A link to the server could not be established in /home3/asylum/public_html/forums/alice/src/admin/botloaderfuncs.php on line 27

Warning: mysql_query(): Access denied for user 'nobody'@'localhost' (using password: NO) in /home3/asylum/public_html/forums/alice/src/admin/botloaderfuncs.php on line 31

Warning: mysql_query(): A link to the server could not be established in /home3/asylum/public_html/forums/alice/src/admin/botloaderfuncs.php on line 31

Warning: mysql_query(): Access denied for user 'nobody'@'localhost' (using password: NO) in /home3/asylum/public_html/forums/alice/src/admin/botloaderfuncs.php on line 35

goes on for ages
dont edit the db config settings there. The script auto pulls them from the vbulletin config.php file.



I will include the flush change in the next bugfix version since it does fix the issue and there are no adverse side effects. I wasnt even thinking about the flush cuasing the problem so proble would have tooken me a bit longer to have figured that one out. Since as far as i knew the flush shouldnt have cuased a problem since there was no output that was buffered to get sent when it was run.
Reply With Quote
  #267  
Old 19 Sep 2006, 06:29
Mr Chad's Avatar
Mr Chad Mr Chad is offline
 
Join Date: Jul 2005
does this work with php 5 yet?
__________________
If anyone wants any of my past modifications please PM me... I will provide you with a link to them. I have decided to remove all my modifications from VB.org because of a small incident...

You can get my popular hacks here: Coders Shack
Reply With Quote
  #268  
Old 19 Sep 2006, 06:40
Erwin's Avatar
Erwin Erwin is offline
 
Join Date: Jan 2002
Yes, if you make the recommended changes I suggested in this thread.
Reply With Quote
  #269  
Old 19 Sep 2006, 09:00
eXtremeTim eXtremeTim is offline
 
Join Date: Jun 2002
Real name: Tim Yarbrough
it also works with php 5.1 if you turn off error reporting.
Reply With Quote
  #270  
Old 19 Sep 2006, 10:26
Spin Doctor's Avatar
Spin Doctor Spin Doctor is offline
 
Join Date: Feb 2005
my dude isnt posting!
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Mod Options

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 23:52.

Layout Options | Width: Wide Color: